import { DmnDocumentData } from "./DmnDocumentData";
export interface DmnLanguageServiceImportedModel {
    content: string;
    relativePath: string;
}
export declare class DmnLanguageService {
    private readonly args;
    private readonly parser;
    private readonly importTagRegExp;
    private readonly inputDataRegEx;
    private readonly decisionsTagRegExp;
    private readonly definitionsTagRegExp;
    constructor(args: {
        getDmnImportedModel: (importedModelRelativePath: string) => Promise<DmnLanguageServiceImportedModel | undefined>;
    });
    private getImportedModelRelativePath;
    getImportedModelRelativePaths(models: string | string[]): string[];
    getPathFromNodeId(resourceContents: DmnLanguageServiceImportedModel[], nodeId: string): string;
    getDmnDocumentData(dmnContent: string): DmnDocumentData;
    getAllImportedModelsResources(modelsContent: string[]): Promise<DmnLanguageServiceImportedModel[]>;
}
//# sourceMappingURL=DmnLanguageService.d.ts.map